<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gst::Pipeline Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgst_1_1Pipeline.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gst::Pipeline Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gst::Pipeline:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgst_1_1Pipeline__inherit__graph.svg" width="115" height="262"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gst::Pipeline:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgst_1_1Pipeline__coll__graph.svg" width="115" height="262"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af90c7d6ff59a965e6ba31f1dd5b88878"><td class="memItemLeft" align="right" valign="top"><a id="af90c7d6ff59a965e6ba31f1dd5b88878"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Pipeline</b> (GstPipeline *ref)</td></tr>
<tr class="separator:af90c7d6ff59a965e6ba31f1dd5b88878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58ea8478bfe8da064ab3182889f776b8"><td class="memItemLeft" align="right" valign="top"><a id="a58ea8478bfe8da064ab3182889f776b8"></a>
GstElement *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a58ea8478bfe8da064ab3182889f776b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc3cb9318334329f5239dc355cf9e56"><td class="memItemLeft" align="right" valign="top"><a id="a4cc3cb9318334329f5239dc355cf9e56"></a>
GstPipeline *&#160;</td><td class="memItemRight" valign="bottom"><b>ref_pipeline</b> () const</td></tr>
<tr class="separator:a4cc3cb9318334329f5239dc355cf9e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgst_1_1Bin"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgst_1_1Bin')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgst_1_1Bin.html">gst::Bin</a></td></tr>
<tr class="memitem:a02a875524585aaa1d93be33cd30553fb inherit pub_methods_classgst_1_1Bin"><td class="memItemLeft" align="right" valign="top"><a id="a02a875524585aaa1d93be33cd30553fb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Bin</b> (GstBin *ref)</td></tr>
<tr class="separator:a02a875524585aaa1d93be33cd30553fb inherit pub_methods_classgst_1_1Bin"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e078551b3483b9aba0b837a1db419aa inherit pub_methods_classgst_1_1Bin"><td class="memItemLeft" align="right" valign="top"><a id="a1e078551b3483b9aba0b837a1db419aa"></a>
GstElement *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a1e078551b3483b9aba0b837a1db419aa inherit pub_methods_classgst_1_1Bin"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb63ca82c92102b9fb08bcca0b033523 inherit pub_methods_classgst_1_1Bin"><td class="memItemLeft" align="right" valign="top"><a id="aeb63ca82c92102b9fb08bcca0b033523"></a>
GstBin *&#160;</td><td class="memItemRight" valign="bottom"><b>ref_bin</b> () const</td></tr>
<tr class="separator:aeb63ca82c92102b9fb08bcca0b033523 inherit pub_methods_classgst_1_1Bin"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8bb79a773fe4b4dc46bbea3a771498b inherit pub_methods_classgst_1_1Bin"><td class="memItemLeft" align="right" valign="top"><a id="aa8bb79a773fe4b4dc46bbea3a771498b"></a>
<a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>add</b> (<a class="el" href="classgst_1_1Element.html">Element</a> &amp;element)</td></tr>
<tr class="separator:aa8bb79a773fe4b4dc46bbea3a771498b inherit pub_methods_classgst_1_1Bin"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgst_1_1Element"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgst_1_1Element')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgst_1_1Element.html">gst::Element</a></td></tr>
<tr class="memitem:a3b043ad73ce48ce8d4bec0355cf853a6 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a3b043ad73ce48ce8d4bec0355cf853a6"></a>
GstElement *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a3b043ad73ce48ce8d4bec0355cf853a6 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4809951376c84aca90e568141a13a85 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="af4809951376c84aca90e568141a13a85"></a>
<a class="el" href="classgst_1_1Element.html">Element</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>link</b> (<a class="el" href="classgst_1_1Element.html">Element</a> &amp;destination)</td></tr>
<tr class="separator:af4809951376c84aca90e568141a13a85 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3f72eef092d9baa9b5c9a047fb3bd60 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="ae3f72eef092d9baa9b5c9a047fb3bd60"></a>
<a class="el" href="classgst_1_1Element.html">Element</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>link_filtered</b> (std::string src_pad_name, <a class="el" href="classgst_1_1Element.html">Element</a> &amp;destination, std::string dest_pad_name)</td></tr>
<tr class="separator:ae3f72eef092d9baa9b5c9a047fb3bd60 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3be4e277b90ca892bdcfa687644f99f9 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a3be4e277b90ca892bdcfa687644f99f9"></a>
<a class="el" href="classgst_1_1Element.html">Element</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>unlink</b> (<a class="el" href="classgst_1_1Element.html">Element</a> &amp;destination) const</td></tr>
<tr class="separator:a3be4e277b90ca892bdcfa687644f99f9 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a359d1d12b1937a1547a4bfe36a355cb5 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a359d1d12b1937a1547a4bfe36a355cb5"></a>
StateChangeReturn&#160;</td><td class="memItemRight" valign="bottom"><b>set_state</b> (State state) const</td></tr>
<tr class="separator:a359d1d12b1937a1547a4bfe36a355cb5 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d55c357223cd04ce7fc731604827820 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a1d55c357223cd04ce7fc731604827820"></a>
State&#160;</td><td class="memItemRight" valign="bottom"><b>state</b> () const</td></tr>
<tr class="separator:a1d55c357223cd04ce7fc731604827820 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa4eaf195cd0248a927fd655ede88e82 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="afa4eaf195cd0248a927fd655ede88e82"></a>
State&#160;</td><td class="memItemRight" valign="bottom"><b>state_next</b> () const</td></tr>
<tr class="separator:afa4eaf195cd0248a927fd655ede88e82 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad93193c5aaccfb37061874e5eebcc6d0 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="ad93193c5aaccfb37061874e5eebcc6d0"></a>
State&#160;</td><td class="memItemRight" valign="bottom"><b>state_pending</b> () const</td></tr>
<tr class="separator:ad93193c5aaccfb37061874e5eebcc6d0 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae870b2a722434dff1aa4d515a8cd628 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="aae870b2a722434dff1aa4d515a8cd628"></a>
State&#160;</td><td class="memItemRight" valign="bottom"><b>state_target</b> () const</td></tr>
<tr class="separator:aae870b2a722434dff1aa4d515a8cd628 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f97c017a2d48fa717003990a3ca6498 inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a3f97c017a2d48fa717003990a3ca6498"></a>
<a class="el" href="classgst_1_1Pad.html">Pad</a>&#160;</td><td class="memItemRight" valign="bottom"><b>static_pad</b> (std::string pad_name) const</td></tr>
<tr class="separator:a3f97c017a2d48fa717003990a3ca6498 inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0552073348023983c4bf8dbe23dd816f inherit pub_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a0552073348023983c4bf8dbe23dd816f"></a>
<a class="el" href="classgst_1_1Bus.html">Bus</a>&#160;</td><td class="memItemRight" valign="bottom"><b>bus</b> ()</td></tr>
<tr class="separator:a0552073348023983c4bf8dbe23dd816f inherit pub_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgst_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgst_1_1Object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgst_1_1Object.html">gst::Object</a></td></tr>
<tr class="memitem:a8b785974e041e909559e8ea069cc65e9 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a8b785974e041e909559e8ea069cc65e9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Object</b> (<a class="el" href="classgst_1_1Object.html">Object</a> &amp;other)</td></tr>
<tr class="separator:a8b785974e041e909559e8ea069cc65e9 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a599e2b0983e763c84b5c361dfc9bfdd7 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a599e2b0983e763c84b5c361dfc9bfdd7"></a>
<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classgst_1_1Object.html">Object</a> const &amp;other)</td></tr>
<tr class="separator:a599e2b0983e763c84b5c361dfc9bfdd7 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a42a9d5dfe0a4cd76a5268ddb1d6d5d inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a3a42a9d5dfe0a4cd76a5268ddb1d6d5d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Object</b> (<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&amp;other)</td></tr>
<tr class="separator:a3a42a9d5dfe0a4cd76a5268ddb1d6d5d inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6a5a4ba8806b7081a3e44b4f566a78 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a7b6a5a4ba8806b7081a3e44b4f566a78"></a>
<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&amp;other)</td></tr>
<tr class="separator:a7b6a5a4ba8806b7081a3e44b4f566a78 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460a6720d5ed6377ab6ac069fcd5f187 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a460a6720d5ed6377ab6ac069fcd5f187"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Object</b> (GstObject *ref)</td></tr>
<tr class="separator:a460a6720d5ed6377ab6ac069fcd5f187 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d8afbf6401f36784bd4e22b4b61a27 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a46d8afbf6401f36784bd4e22b4b61a27"></a>
GstObject *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a46d8afbf6401f36784bd4e22b4b61a27 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af670ec71e6e7258408317c91b25a59a0 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="af670ec71e6e7258408317c91b25a59a0"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_name</b> () const</td></tr>
<tr class="separator:af670ec71e6e7258408317c91b25a59a0 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b34b9a8c34f82758e0984e038416c8 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="a48b34b9a8c34f82758e0984e038416c8"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>refcount</b> ()</td></tr>
<tr class="separator:a48b34b9a8c34f82758e0984e038416c8 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7514971b14d0bdec5e7f60bb6c20286 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="ae7514971b14d0bdec5e7f60bb6c20286"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_name</b> (std::string name)</td></tr>
<tr class="separator:ae7514971b14d0bdec5e7f60bb6c20286 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa940d4ccf73318e27f01136b666a26a5 inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="aa940d4ccf73318e27f01136b666a26a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_property_from_string</b> (std::string property_name, std::string value) const</td></tr>
<tr class="separator:aa940d4ccf73318e27f01136b666a26a5 inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb088d8d055d563f2ab7e425d22c66d inherit pub_methods_classgst_1_1Object"><td class="memItemLeft" align="right" valign="top"><a id="abcb088d8d055d563f2ab7e425d22c66d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_property</b> (std::string property_name) const</td></tr>
<tr class="separator:abcb088d8d055d563f2ab7e425d22c66d inherit pub_methods_classgst_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aa1855d550e96e8ce143b3d21557f0b08"><td class="memItemLeft" align="right" valign="top"><a id="aa1855d550e96e8ce143b3d21557f0b08"></a>
static <a class="el" href="classgst_1_1Pipeline.html">Pipeline</a>&#160;</td><td class="memItemRight" valign="bottom"><b>make</b> (std::string name)</td></tr>
<tr class="separator:aa1855d550e96e8ce143b3d21557f0b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classgst_1_1Element"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classgst_1_1Element')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classgst_1_1Element.html">gst::Element</a></td></tr>
<tr class="memitem:ab5554d374a6cf378b7937db712647c01 inherit pub_static_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="ab5554d374a6cf378b7937db712647c01"></a>
static <a class="el" href="classgst_1_1Element.html">Element</a>&#160;</td><td class="memItemRight" valign="bottom"><b>create</b> (GstElement *ref)</td></tr>
<tr class="separator:ab5554d374a6cf378b7937db712647c01 inherit pub_static_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgst_1_1Element"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgst_1_1Element')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgst_1_1Element.html">gst::Element</a></td></tr>
<tr class="memitem:a049023a5ba64e4a76da801ec13882ad1 inherit pro_methods_classgst_1_1Element"><td class="memItemLeft" align="right" valign="top"><a id="a049023a5ba64e4a76da801ec13882ad1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Element</b> (GstElement *ref)</td></tr>
<tr class="separator:a049023a5ba64e4a76da801ec13882ad1 inherit pro_methods_classgst_1_1Element"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Pipeline_8hpp_source.html">Pipeline.hpp</a></li>
<li>Pipeline.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegst.html">gst</a></li><li class="navelem"><a class="el" href="classgst_1_1Pipeline.html">Pipeline</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
